Bug 151902 - CAN-2005-0767 drm race in radeon
CAN-2005-0767 drm race in radeon
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
impact=moderate,public=20050208,repor...
: Security
Depends On:
Blocks: 147461
  Show dependency treegraph
 
Reported: 2005-03-23 07:56 EST by Mark J. Cox (Product Security)
Modified: 2015-01-04 17:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:52:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-23 07:56:32 EST
Split from bug #149693

7. drm: fix race condition in radeon driver
http://linux.bkbits.net:8080/linux-2.6/cset@42088d17CO1mOAfgW4R46WRTm9gkwA

A race condition was discovered affecting the Radeon DRI driver in the Linux 2.6
kernel.  A local user who has DRI privileges on a Radeon graphics card may be
able to use this flaw to gain root privileges.

Fixed in 2.6.11 upstream
Fixed for 2.6.9-6.28 RHEL4
Comment 1 Jay Turner 2005-04-16 07:00:47 EDT
Fix included in RHSA-2005:366.
Comment 2 Josh Bressers 2005-04-19 14:52:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-366.html

Note You need to log in before you can comment on or make changes to this bug.